unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, Grids,
  fpspreadsheetgrid, fpspreadsheetctrls,

  // added units
  fpsAllFormats,
  fpsTypes;     // for sfOpenDocument

type

  { TForm1 }

  TForm1 = class(TForm)
    sWorkbookSource1: TsWorkbookSource;
    sWorkbookTabControl1: TsWorkbookTabControl;
    sWorksheetGrid1: TsWorksheetGrid;
    procedure FormCreate(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  // I am setting all properties here in code. Of course you can set them also
  // in the Object Inspector.

  // Put the grid into the TabControl and client-align both controls
  sWorkbookTabControl1.Align := alClient;
  sWorksheetGrid1.Parent := sWorkbookTabcontrol1;
  sWorksheetGrid1.Align := alClient;

  // Set up the connection of the grid and tabcontrol to the workbook/worksheet
  sWorkbookTabControl1.WorkbookSource := sWorkbookSource1;
  sWorksheetGrid1.WorkbookSource := sWorkbookSource1;

  // Auto-detect the file format
  sWorkbookSource1.AutodetectFormat := true;
  // or: specify the file format needed
  // sWorkbookSource1.FileFormat := sfExcel8;

  // Load the file
  sWorkbookSource1.FileName := 'test.xls';

  // Set up grid properties
  sWorksheetGrid1.TextOverflow := true;  // long text can flow into the adjacent cell(s)
  sWorksheetGrid1.Options := sWorksheetGrid1.Options + [goEditing];  // allow editing of the grid

  // See http://wiki.lazarus.freepascal.org/TsWorksheetGrid#Recommended_property_values
  // for more recommended changes of default properties.
end;

end.

